### File

`packages/ecl/components/ecl-table/ecl-table.directive.ts`

### Description

Directive for styling and managing behavior of ECL tables.

Applies ECL-specific table classes and emits sort events when columns are sorted.

### Extends

`ECLBaseDirective`

### Implements

`DoCheck` `OnDestroy` `OnInit` `AfterContentInit`

### Metadata

Selector | `[eclTable]`

### Index

###### Properties
eclTableHeaders
###### Methods
getCssClasses
###### Inputs
id isSimple isZebra class e2eAttr tabindex
###### Outputs
sort
###### HostBindings
class
###### Accessors
cssClasses

### Constructor

`constructor()`

### Inputs

id
Type : `string`
The HTML ID attribute of the table. If not provided, a UUID is generated.

isSimple
Type : `boolean`
Default value : `false`
Applies the "simple" table variant if true. Automatically enabled if no header is detected.

isZebra
Type : `boolean`
Default value : `false`
Applies zebra striping to the table rows by adding the `ecl-table--zebra` class if true.

class
Type : `string`

e2eAttr
Type : `any`

tabindex
Type : `number`

### Outputs

sort
Type : `EventEmitter`
Emits an event when a column sort is triggered.

### HostBindings

class
Type : `string`
Computed list of CSS classes for the host element.

### Methods

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Properties

eclTableHeaders
Type : `QueryList<EclTableHeaderDirective>`
Decorators : `@ContentChildren(undefined, {descendants: true})`
List of header directives detected in the content.

### Accessors

cssClasses
get `cssClasses()`
Computed list of CSS classes for the host element. Returns : `string`

# results matching ""

# No results matching ""